import 'package:mohem_flutter_app/models/itg_forms_models/fields_model.dart';

class FieldGoups {
  List<Fields>? fields;
  String? title;

  FieldGoups({this.fields, this.title});

  FieldGoups.fromJson(Map<String, dynamic> json) {
    if (json['Fields'] != null) {
      fields = <Fields>[];
      json['Fields'].forEach((v) {
        fields!.add(new Fields.fromJson(v));
      });
    }
    title = json['Title'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.fields != null) {
      data['Fields'] = this.fields!.map((v) => v.toJson()).toList();
    }
    data['Title'] = this.title;
    return data;
  }
}